Skip to content

Create nodes in an existing binder template.

POST/api/{version}/objects/binders/templates/{template_name}/bindernodes
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml
NameDescription
{template_name}The binder template name__v field value.

When creating binder template nodes, the following fields are required in all Vaults:

NameDescription
idThe ID of the binder node. This must be set to a unique number.
parent_id__v[Required] Enter the id of the parent section. To create a node in the top level of the binder (rootNode), leave the value blank.
node_type__v[Required] Set to section or planned_document.
label__vLabel for the section or planned document. For planned documents, this corresponds to "Planned Name" in the UI.
type__vThe name of the document type to which the template will be associated.
subtype__vThe name of the document subtype to which the templates will be associated. This is only required if associating the template with a document subtype.
classification__vThe name of the document classification to which the template will be associated. This is only required if associating the template with a document classification.
active__vSet to true or false to indicate whether or not the binder template should be set to active, i.e., available for selection when creating a binder.
order__vOrder of the component (planned document or section) within the binder template or within the template section. A value of 1 has special behavior and instructs Vault to place the node at the first ordinal position of the binder, regardless of any existing order__v values. If provided with a negative value or omitted, Vault places the node at the last ordinal position of the binder, regardless of any existing order__v values.

Example CSV Input: Create Top-Level Section Binder Nodes

Section link for Example CSV Input: Create Top-Level Section Binder Nodes
idnode_type__vlabel__vorder__vnumber__vparent_id__v
100sectionFolder A101
200sectionFolder B202
300sectionFolder C303

In this example input, we're creating three new binder nodes in the template.

  • These will be new section node types.
  • The required parent_id__v name is included but its value left blank. By default, the new sections will be added to the top-level in the binder hierarchy.
  • The optional section order and number are set. These define the position of the three new sections in the binder template hierarchy.

Example CSV Input: Create Sub-Level Section Binder Nodes

Section link for Example CSV Input: Create Sub-Level Section Binder Nodes
idnode_type__vlabel__vorder__vnumber__vparent_id__v
101sectionSubFolder A1101.01100
102sectionSubFolder A2201.02100

In this example input, we're creating three new binder nodes in the template.

  • These will be new section node types.
  • The required parent_id__v name is included. If the values are left blank, the new sections will be added to the top-level in the binder hierarchy by default.
  • The optional section order and number are set. These define the position of the three new sections in the binder template hierarchy.

Example CSV Input: Create Planned Document Binder Node

Section link for Example CSV Input: Create Planned Document Binder Node
idnode_type__vlabel__vorder__vparent_id__vtype__vsubtype__vclassification__vlifecycle__v
101PDplanned_documentPlanned Document A11101promotional_piece__vsadvertisement__vsweb__vspromotional_piece__vs

In this example input, we're creating new binder node of the type planned_document.

  • The required parent_id__v name is included. If the values are left blank, the planned document will be added to the top-level in the binder hierarchy by default.
  • The optional section order and number are set. These define the position of the planned document in the binder template hierarchy.

In this example:

  • The input file format is set to CSV.
  • The response format is not set and will default to JSON.
  • The path/name of the CSV input file in our local directory is specified.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ --data-binary @"C:\Vault\Templates\add_binder_template_nodes.csv" \ https://myvault.veevavault.com/api/v22.2/objects/binders/templates/binder_template_1__c/bindernodes